## org.eclipse.datatools.sqltools.core
Interface IControlConnectionPoolManager

    public interface IControlConnectionPoolManager

Manages the connection pool for control connections

Author:
  Idull

Method Summary
`void` `cleanUp()` Closes all connections for all control connections
`void` `closeConnections(java.lang.String profileName)` Closes all connections for the given profile
`java.sql.Connection` `getConnection(DatabaseIdentifier databaseIdentifier)` Returns a connection for control connection to use
`void` `profileRenamed(java.lang.String oldName, java.lang.String newName)` Notifies the profile rename event

Method Detail

### getConnection

    java.sql.Connection getConnection(DatabaseIdentifier databaseIdentifier)
                                      throws java.sql.SQLException,
                                             NoSuchProfileException

  Returns a connection for control connection to use

  Parameters:
    `databaseIdentifier` - the database identifier
  Returns:
  Throws:
    `java.sql.SQLException`
    `NoSuchProfileException`

### closeConnections

    void closeConnections(java.lang.String profileName)

  Closes all connections for the given profile

  Parameters:
    `profileName` -

### cleanUp

    void cleanUp()

  Closes all connections for all control connections

### profileRenamed

    void profileRenamed(java.lang.String oldName,
                        java.lang.String newName)

  Notifies the profile rename event

  Parameters:
    `oldName` -
    `newName` -

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.